#!/usr/bin/perl -w
use Compress::Zlib;

$path = "raw/" ;

for ($i = 1 ; $i <= 100 ; $i++) { 
    &ReadFile ($i);
}

sub ReadFile {
    my $i = shift;
    $fname = "${path}old-$i.raw";
    if( !-r $fname ) {
        print "cannot read $fname\n";
        return;
    }
    open( FH, "< $fname" ) or die "cannot open $fname";
    binmode FH;
    my $ch = inflateInit(-WindowBits => 0 - MAX_WBITS );
    while( read(FH,$in,4096) ) {
        ($out,$stat) = $ch->inflate($in);
        die "deflate failed $stat" if $stat != Z_OK and $stat != Z_STREAM_END;
        $output .= $out;
        last if $stat != Z_OK;
    }
    die "deflate failed2 $stat" if $stat != Z_STREAM_END;
    
    print "Output $fname is ", length($output), " bytes long\n";
    #print ">>$output<<\n";
    #exit;
}
